#!/bin/sh 

set -e

# summary of how this script can be called:
#        * <new-preinst> `install'
#        * <new-preinst> `install' <old-version>
#        * <new-preinst> `upgrade' <old-version>
#        * <old-preinst> `abort-upgrade' <new-version>
#

[ -f /etc/logrotate.d/proftpd-basic ] && \
	mv -f /etc/logrotate.d/proftpd-basic /etc/logrotate.d/proftpd-core

if [ "$1" = "upgrade" ]; then
     invoke-rc.d --skip-systemd-native proftpd stop >/dev/null 2>&1 || true 
fi

#DEBHELPER#
